Package com.io7m.montarre.api

# Record Class MPlatform

java.lang.Object
java.lang.Record
com.io7m.montarre.api.MPlatform

Record Components:
  `architecture` - The architecture
  `operatingSystem` - The operating system name

All Implemented Interfaces:
  `Comparable<MPlatform>`

public record MPlatform(MArchitectureName architecture, MOperatingSystemName operatingSystem) extends Record implements Comparable<MPlatform>
A platform.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MPlatform(MArchitectureName architecture, MOperatingSystemName operatingSystem)`
  A platform.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MArchitectureName`
  `architecture()`
  Returns the value of the `architecture` record component.
  `int`
  `compareTo(MPlatform other)`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `MOperatingSystemName`
  `operatingSystem()`
  Returns the value of the `operatingSystem` record component.
  `String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MPlatform

    public MPlatform(MArchitectureName architecture, MOperatingSystemName operatingSystem)
    A platform.
    Parameters:
      `architecture` - The architecture
      `operatingSystem` - The operating system name

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### compareTo

    public int compareTo(MPlatform other)
    Specified by:
      `compareTo` in interface `Comparable<MPlatform>`

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### architecture

    public MArchitectureName architecture()
    Returns the value of the `architecture` record component.
    Returns:
      the value of the `architecture` record component

  - ### operatingSystem

    public MOperatingSystemName operatingSystem()
    Returns the value of the `operatingSystem` record component.
    Returns:
      the value of the `operatingSystem` record component